// Library:       WebSphere MQ
// Component:     WMQ SOAP Sample Programs
// Part:          StockQuoteAxisClientJava.java
//
//  <START_COPYRIGHT> 
//  Licensed Materials - Property of IBM 
//                   
//  5724-B41         
//  (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
//                   
//  US Government Users Restricted Rights - Use, duplication or 
//  disclosure restricted by GSA ADP Schedule Contract with 
//  IBM Corp.        
//  <END_COPYRIGHT>
  
import DefaultNamespace.*;
import secondPackage.*;

/**
 * This class contains an example of how to use Axis generated proxy classes
 * to invoke a service
 */
public class StockQuoteAxisClientJava
{
  public static void main( String[] args )
  {
    String symbol = "XXX";
    
    // Must register WMQ transport extensions before doing SOAP/MQ
    com.ibm.mq.ma0r.usage.Util.registerExtensions();
    
    try
    {
      // Use the locator to get a handle to the service on a specific WSDL Port
      StockQuoteAxisService locator = new StockQuoteAxisServiceLocator();
      StockQuoteAxis service = locator.getStockQuoteAxis_Wmq();

      // Invoke the target service
      float result = service.getQuote( symbol );
      System.out.println( "Response: " + result );

      /////////////////////////////////////////////////////////////////////////
      // Use the locator to get a handle to the service on a specific WSDL Port
      SecondAxisService locator2 = new SecondAxisServiceLocator();
      SecondAxis service2 = locator2.getSecondPackageSecondAxis_Wmq();

      // Invoke the target service
      String result2 = service2.buy( symbol, 4321 );
      System.out.println( "Response: " + result2 );

    }
    catch ( Exception e )
    {
      System.out.println("\n>>> EXCEPTION WHILE RUNNING ProxyClient DEMO <<<\n");
      e.printStackTrace();
      System.exit( 2 );
    }
  }
}
