// Library:       WebSphere MQ
// Component:     WMQ SOAP Sample Programs
// Part:          SoapClient.java
//
//  <START_COPYRIGHT> 
//  Licensed Materials - Property of IBM 
//                   
//  5724-B41         
//  (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
//                   
//  US Government Users Restricted Rights - Use, duplication or 
//  disclosure restricted by GSA ADP Schedule Contract with 
//  IBM Corp.        
//  <END_COPYRIGHT>
  
package javaDemos.clients;

import org.apache.axis.client.Call;
import javax.xml.rpc.ParameterMode;
import org.apache.axis.utils.Options;
import com.ibm.mq.ma0r.usage.Util;

/**
 * This class contains an example of how to invoke a service 
 * using the low level Axis classes.
 * Default set up to call dotNet service.
 */
public class SoapClient
{
  public static void main( String[] args ) 
  {
    // prepare in advance for .NET
    String namespace = "http://dotnet.server";
    String symbol = "XXX";
    String TargetURI = "wmq:SOAP.StockQuoteDotNet?connectQueueManager=MQSOAP.DEMO.QM";
    String s;
  
    try
    {
      Util.registerExtensions();

      Options opts = new Options(args);
      if (null != (s = opts.isValueSet('u'))) TargetURI = s;
      if (null != (s = opts.isValueSet('n'))) namespace = s;

      Call call = new Call( TargetURI );

      System.out.println( "start SoapClient demo to:\n   " +
                          call.getTargetEndpointAddress() );
  
      // Make and verify Axis style call
      call.addParameter( "symbol", org.apache.axis.Constants.XSD_STRING, ParameterMode.IN );
      call.setReturnType( org.apache.axis.Constants.XSD_FLOAT );
      Object ret = call.invoke( namespace, "getQuote", new Object[] { symbol } );

      System.out.println( "Response: " + ret );
    }
    catch ( Exception e )
    {
      System.out.println( "\n>>> EXCEPTION WHILE RUNNING SoapClient DEMO <<<\n" );
      e.printStackTrace();
      System.exit( 2 );
    }
  }

}
