#!/bin/bash

# -  Library:       WebSphere MQ
# -  Component:     WMQ SOAP Sample Programs
# -  Part:          SecondAxis.java
# - 
# -   <START_COPYRIGHT> 
# -   Licensed Materials - Property of IBM 
# -                    
# -   5724-B41         
# -   (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
# -                    
# -   US Government Users Restricted Rights - Use, duplication or 
# -   disclosure restricted by GSA ADP Schedule Contract with 
# -   IBM Corp.        
# -   <END_COPYRIGHT>

QMGR=MQSOAP.DEMO.QM

do_runmqlsr()
   {
   echo "Closing runmqlsr..."
   pid=`ps -efw | grep runmqlsr | grep ${QMGR} | grep -v grep | head -1 | awk '{print $2}'`

   if [ -z ${pid} ]
   then
      echo "   runmqlsr process was not running, no action necessary..."
   else
      kill -9 `ps -axw | grep runmqlsr | grep ${QMGR} | grep -v grep | awk '{print $1}'` 
   fi
   }



do_kill_listeners()
   {
   java com.ibm.mq.ma0r.util.Killme -s "SimpleJMSListener SimpleAxisServerX"
   }


main()
   {
   if [ "${1}" = "?" ]
      then
      echo "${0} will kill all currently listening processes on the local system"
      echo "     (SimpleAxisServerX & SimpleJMSListener)"
      echo
      exit 0
      fi

   bin_dir="`cd \`dirname $0\`/../bin 2>/dev/null && pwd`"

   . ${bin_dir}/setcp.sh

   do_kill_listeners
   # do_runmqlsr  
   }

main 



