#!/bin/bash 

# -  Library:       WebSphere MQ
# -  Component:     WMQ SOAP Sample Programs
# -  Part:          SecondAxis.java
# - 
# -   <START_COPYRIGHT> 
# -   Licensed Materials - Property of IBM 
# -                    
# -   5724-B41         
# -   (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
# -                    
# -   US Government Users Restricted Rights - Use, duplication or 
# -   disclosure restricted by GSA ADP Schedule Contract with 
# -   IBM Corp.        
# -   <END_COPYRIGHT>
# - regenerate and redeploy the demo from the source

echo "clean up old directories and files"
rm -rf helpers
rm -rf classes
rm -f server-config.wsdd

echo "setup environment"
bin_dir="`cd \`dirname $0\`/../bin 2>/dev/null && pwd`"
. ${bin_dir}/setcp.sh

echo "check MQ bits ready"
./setupMQ.sh

echo "deploy the Axis server (generate proxies, etc)"
../bin/deployWMQService.sh -m MQSOAP.DEMO.QM javaDemos/server/StockQuoteAxis.java

# - compile the clients
# - make sure the proxies are high in the serach path
echo "Recompile the clients, using the proxies just generated"
export CLASSPATH=helpers/classes:${CLASSPATH}
javac -d classes javaDemos/clients/*.java

echo "Configure the client to make sure that Axis clients know about wmq:xxx"
../bin/clientConfig.sh

echo "Demo regenerated"




