#!/bin/bash

# -  Library:       WebSphere MQ
# -  Component:     WMQ SOAP Sample Programs
# -  Part:          SecondAxis.java
# - 
# -   <START_COPYRIGHT> 
# -   Licensed Materials - Property of IBM 
# -                    
# -   5724-B41         
# -   (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
# -                    
# -   US Government Users Restricted Rights - Use, duplication or 
# -   disclosure restricted by GSA ADP Schedule Contract with 
# -   IBM Corp.        
# -   <END_COPYRIGHT>

# Check MA0R_HOME is set
if [ "${MA0R_HOME}" == "" ]
then
   echo "ERROR - please export MA0R_HOME before using runivt"
   exit 0
fi

# Check we have access to java
java -version > /dev/null 2>&1
if [ $? -ne 0 ]
then
   echo "ERROR - Could not find Java - is your PATH set correctly? RunIvt aborted."
   exit 0
fi

# Set the correct CLASSPATH definitions
bin_dir="`cd \`dirname $0\`/../bin 2>/dev/null && pwd`"
. ${bin_dir}/setcp.sh

if [ ! -d helpers ]
then
   echo "Services for demo not yet deployed."
   echo "Deploying now. This will take a few seconds, but will not need to be repeated..."
   ./regenDemo.sh
fi

export CLASSPATH=helpers/classes:${CLASSPATH}

java javaDemos.clients.RunIvt $@ 



